Bug 885004 - DeviceCreateError: ("Can't have overlapping partitions.", 'vda1')
DeviceCreateError: ("Can't have overlapping partitions.", 'vda1')
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: David Lehman
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F18Blocker/F18FinalBlocker
  Show dependency treegraph
 
Reported: 2012-12-07 04:13 EST by Kamil Páral
Modified: 2012-12-14 22:16 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-14 22:16:36 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Kamil Páral 2012-12-07 04:13:07 EST
Description of problem:
This is a fork of bug 870586, see bug 870586 comment 45.

anaconda 18.36 exception report
Traceback (most recent call first):
  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/devices.py", line 787, in create
    raise DeviceCreateError(str(e), self.name)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/deviceaction.py", line 241, in execute
    self.device.create()
  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/devicetree.py", line 323, in processActions
    action.execute()
  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/__init__.py", line 336, in doIt
    self.devicetree.processActions()
  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/__init__.py", line 174, in turnOnFilesystems
    storage.doIt()
  File "/usr/lib64/python2.7/site-packages/pyanaconda/install.py", line 114, in doInstall
    turnOnFilesystems(storage)
  File "/usr/lib64/python2.7/threading.py", line 504, in run
    self.__target(*self.__args, **self.__kwargs)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/threads.py", line 91, in run
    threading.Thread.run(self, *args, **kwargs)
DeviceCreateError: ("Can't have overlapping partitions.", 'vda1')


anaconda-tb is in attachment 658701 [details].


Version-Release number of selected component (if applicable):
anaconda 18.36
smoke4

How reproducible:
probably always

Steps to Reproduce:
1. I had an existing F18 installation on that disk, standard partitions only.
2. I went to manual partitioning.
3. I re-used the existing swap partition in the new layout (by checking "reformat" and "apply").
4. I re-used the existing root partition in the new layout, but I downsized it and mounted it as /home.
5. I deleted the existing /boot from the old system.
6. I created a new / using all the remaining space. I switched it from LVM to a standard partition.
7. Partitioning screen closed OK, but the installation blowed up shortly after Begin Installation.
Comment 1 Kamil Páral 2012-12-07 04:13:42 EST
This is a quite standard scenario, proposing as blocker.
Comment 2 Fedora Update System 2012-12-07 20:45:45 EST
anaconda-18.37-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/anaconda-18.37-1.fc18
Comment 3 Fedora Update System 2012-12-08 17:13:16 EST
Package anaconda-18.37-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing anaconda-18.37-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-19991/anaconda-18.37-1.fc18
then log in and leave karma (feedback).
Comment 4 Kamil Páral 2012-12-10 04:39:32 EST
Verified in anaconda 18.37.
Comment 5 Fedora Update System 2012-12-14 22:16:38 EST
anaconda-18.37.2-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.